package emps.strumieniowo;

import java.util.List;

// W tym przykładzie z listy pobierany jest obiekt "stream",
// a dopiero na nim wywołujemy forEach.
// Wydaje się to bez sensu, bo forEach działa dla listy (zob. wersję 0),
// ale stream() daje dostęp do wielu dodatkowych operacji, co zobaczymy w nast. przykładach.
public class P1_WypiszZeStrumienia {

	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		
		emps.stream().forEach(emp ->
			System.out.printf("Pracownik %s %s (%s) zarabia %d\n",
				emp.getFirstName(), emp.getLastName(), emp.getJobTitle(), emp.getSalary()));
	}

}
